StarPU Handbook

Typedefs | Functions
starpu_task_dep.h File Reference
`#include <starpu.h>`

Go to the source code of this file.

## Typedefs
typedef uint64_t | starpu_tag_t

## Functions
void | starpu_task_declare_deps_array (struct starpu_task *task, unsigned ndeps, struct starpu_task *task_array[])
void | starpu_task_declare_deps (struct starpu_task *task, unsigned ndeps,...)
void | starpu_task_declare_end_deps_array (struct starpu_task *task, unsigned ndeps, struct starpu_task *task_array[])
void | starpu_task_declare_end_deps (struct starpu_task *task, unsigned ndeps,...)
int | starpu_task_get_task_succs (struct starpu_task *task, unsigned ndeps, struct starpu_task *task_array[])
int | starpu_task_get_task_scheduled_succs (struct starpu_task *task, unsigned ndeps, struct starpu_task *task_array[])
void | starpu_task_end_dep_add (struct starpu_task *t, int nb_deps)
void | starpu_task_end_dep_release (struct starpu_task *t)
void | starpu_tag_declare_deps (starpu_tag_t id, unsigned ndeps,...)
void | starpu_tag_declare_deps_array (starpu_tag_t id, unsigned ndeps, starpu_tag_t *array)
int | starpu_tag_wait (starpu_tag_t id)
int | starpu_tag_wait_array (unsigned ntags, starpu_tag_t *id)
void | starpu_tag_restart (starpu_tag_t id)
void | starpu_tag_remove (starpu_tag_t id)
void | starpu_tag_notify_from_apps (starpu_tag_t id)
void | starpu_tag_notify_restart_from_apps (starpu_tag_t id)
struct starpu_task * | starpu_tag_get_task (starpu_tag_t id)